---
title: HTMLImageElement.height
slug: Web/API/HTMLImageElement/height
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Image
  - Property
  - Reference
  - dimensions
  - height
  - size
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The <code><strong>height</strong></code> property of the {{domxref("HTMLImageElement")}} interface indicates the height at which the image is drawn, in {{Glossary("CSS pixels")}} if the image is being drawn or rendered to any visual medium such as the screen or a printer; otherwise, it's the natural, pixel density corrected height of the image. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>htmlImageElement</em>.height = <em>newHeight</em>;
let <em>height</em> = <em>htmlImageElement</em>.height;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the height of the image. The terms in which the height is defined depends on whether the image is being rendered to a visual medium or not.</p>

<ul>
 <li>If the image is being rendered to a visual medium such as a screen or printer, the height is expressed in {{Glossary("CSS pixels")}}.</li>
 <li>Otherwise, the image's height is represented using its natural (intrinsic) height, adjusted for the display density as indicated by {{domxref("HTMLImageElement.naturalHeight", "naturalHeight")}}.</li>
</ul>

<h2 id="Example">Example</h2>

<p>In this example, two different sizes are provided for an image of a clock using the {{htmlattrxref("srcset", "img")}} attribute. One is 200px wide and the other is 400px wide. Further, the {{htmlattrxref("sizes", "img")}} attribute is provided to specify the width at which the image should be drawn given the viewport's width.</p>

<h3 id="HTML">HTML</h3>

<p>Specifically, for viewports up to 400px wide, the image is drawn at a width of 200px; otherwise, it's drawn at 300px.</p>

<pre class="brush: html notranslate">&lt;p&gt;Image height: &lt;span class="size"&gt;?&lt;/span&gt;px (resize to update)&lt;/p&gt;
&lt;img src="/files/17373/clock-demo-200px.png"
      alt="Clock"
      srcset="/files/17373/clock-demo-200px.png 200w,
          /files/17374/clock-demo-400px.png 400w"
      sizes="(max-width: 400px) 200px, 300px"&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<p>The JavaScript code looks at the <code>height</code> to determine the height of the image given the width at which it's currently drawn.</p>

<pre class="brush: js notranslate">var clockImage = document.querySelector("img");
let output = document.querySelector(".size");

const updateHeight = event =&gt; { output.innerText = clockImage.height; };

window.addEventListener("load", updateHeight);
window.addEventListener("resize", updateHeight);
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 640, 450)}}</p>

<p>This example may be easier to try out <a href="https://mdn.mozillademos.org/en-US/docs/Web/API/HTMLImageElement/height$samples/Example">in its own window</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-img-height', 'HTMLImageElement.height')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.height")}}</p>
